id: wordpress-seo-by-rank-math

info:
  name: Rank Math SEO – AI SEO Tools to Dominate SEO Rankings Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/seo-by-rank-math/
  metadata:
    plugin_namespace: seo-by-rank-math
    wpscan: https://wpscan.com/plugin/seo-by-rank-math
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/seo-by-rank-math/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/seo-by-rank-math.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a004730450220736818b5257b01e17218854f485c2e3c38409744219a3420284e609ea72e9eb3022100b1f5f2231fe466650c47dfc21f168dab2aa1bfc6fec39f8c52e434146abe1077:922c64590222798bb761d5b6d8e72950